Subject: Ticket Assigned - del
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 03 Mar 2021 14:35:53 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  del hello                    Bot:  Hi, welcome! Bot:  Please enter your name Customer:  hello Bot:  Hi Hello ,what do you need help with? Customer:  When will I get my refund? Bot:  Please choose your location Customer:  United Arab Emirates Bot:    Did you return your order? We will issue your refund after we receive your returns and perform a quality check. Your refund will depend on your payment method.   Paid by card - card issuer may take an additional 2-15 business days to process the transaction.  Paid by PayPal - may take an additional 4-15 business days to process the transaction.  Paid by cash - you'll receive a refund to My Credit in your account if you're a registered user, or a Return Voucher if you're a guest user in 4-7 business days.    Canceled your order? Your refund will depend on your payment method.   Paid by card - card issuer may take an additional 2-15 business days to process the transaction.  Paid by PayPal - may take an additional 4-15 business days to process the transaction.   Please note, it will take longer for us to receive and process your returns during this period. This may delay your refund as well. For more details, go to Returns Process and Returns Policy under Help Centre.  Bot:  Was I able to resolve your query? Customer:  No Bot:  Would you like to still talk to one of our agent? Customer:  Yes Bot:  Please enter your email Customer:  [email-masked] Bot:  Please enter your number Customer:  0505565998            05:59 PM, 03rd Mar                     hello                    Is someone there           06:01 PM, 03rd Mar                     hello                    You ppl are just inefficient thats all i gotta say           06:02 PM, 03rd Mar                   Algaili                   Hi, Thank you for contacting us. My name is Algaily, I will be happy to assist you.           06:02 PM, 03rd Mar                     hello                    I am extremely frustrated           06:03 PM, 03rd Mar                     hello                    Since last Saturday ive been following up on an esclation           06:03 PM, 03rd Mar                     hello                    Complaint No: 2177407, Order No. 96369144           06:04 PM, 03rd Mar                     hello                    Ok if this is ur speed then i need to get outta here           06:05 PM, 03rd Mar                   Algaili                   Please share us the correct order number so we check and assist you optimally.           06:05 PM, 03rd Mar                     hello                    9636914421           06:06 PM, 03rd Mar                     hello                    You can also check my complaint number           06:06 PM, 03rd Mar                   Algaili                   May I request you to stay on hold while retrieve my information.           06:07 PM, 03rd Mar                     hello                    Im tired of chasing you people to redeliver my returned order.. that I now just want to have my return processed           06:08 PM, 03rd Mar                     hello                    Ive sent so many emails and made so many calls and has now run out of patience           06:10 PM, 03rd Mar                   Algaili                    We are truly sorry to hear that your order has been returned back to our warehouse by the courier.           06:10 PM, 03rd Mar                   Algaili                   We have initiated a refund for this order. It would take around 4-15 days to reflect in your account.  We understand you are anxious to get this product as soon as possible. However, the refund has now been processed and is not with us now so we would recommend to place the order again using a suitable mode of payment. We'll make sure you get your items this time. ​ Again, please accept our sincere apologies for this. ​           06:10 PM, 03rd Mar                     hello                    So when will the return come through?           06:12 PM, 03rd Mar                     hello                    Its not supposed to take so long           06:12 PM, 03rd Mar                     hello                    When was the return processed?           06:12 PM, 03rd Mar                   Algaili                   The refund will be processed within 48 hour from our side.  Noting that your card issuer requires 2-15 additional business days to process the refund as per the bank norms.           06:13 PM, 03rd Mar                     hello                    My card is usually never like that.. it refelcts immediately           06:14 PM, 03rd Mar                     hello                    So till now yoi people have not even processed my refund           06:14 PM, 03rd Mar                     hello                    Its been almost a week...you have taken the items back and keeping quiet and making me chase for refund?           06:15 PM, 03rd Mar                     hello                    Looks like now only its going to be processed, it was taken back last saturday, why such delay in refund processing           06:16 PM, 03rd Mar                     hello                    I wont even think of reordering until i get my money back           06:16 PM, 03rd Mar                     hello                    Once a refund is processed i get an sms           06:17 PM, 03rd Mar                     hello                    I didnt get any sms or email from you till now for the refund           06:17 PM, 03rd Mar                   Algaili                   Please allow 2-15 additional business days, if the amount not reflecting in your account contact us so we can further assist you.           06:17 PM, 03rd Mar                     hello                    Will u keep quiet...i wont leave u guys...u have messed with me enough           06:19 PM, 03rd Mar                     hello                    When centrepoint processes my refund i get a message           06:20 PM, 03rd Mar                     hello                    If you have processed my refund..i normally get an sms from you           06:20 PM, 03rd Mar                     hello                    Leave about the bank... and their processing time           06:21 PM, 03rd Mar                     hello                    I am asking where the confirmation i get from centrepoint once you process the refund           06:21 PM, 03rd Mar                     hello                    Mind you this is not the first time im processing refund           06:22 PM, 03rd Mar                     hello                    You have the nerve to suggest that i trust you and wait for 15 days without any confirmation from you to see if refund is reflecting           06:22 PM, 03rd Mar                     hello                    What you think this is year 1900! to suggest someone waits blindly like this           06:23 PM, 03rd Mar                   Algaili                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             06:24 PM, 03rd Mar                     hello                    Im very well aware of the refund process and that as soon you process i get an sms confirming the refund request           06:24 PM, 03rd Mar                     hello                    Shut up and enough with ur fixing           06:24 PM, 03rd Mar                     hello                    Where is my refund processing conformation?           06:25 PM, 03rd Mar                     hello                    Stop fooling around with me...as soon as you took the cartom back ur supposed to refund           06:25 PM, 03rd Mar                     hello                    I have only 01 thing to tell u           06:26 PM, 03rd Mar                     hello                    Where is my refund request confirmation           06:26 PM, 03rd Mar                     hello                    I will call my bank and dispute this payment and ill never ever shop with u thieves again           06:27 PM, 03rd Mar                     hello                    How dare u hold my refund and ask me to wait for 15 days for refund!!           06:28 PM, 03rd Mar                   Algaili                   We can understand your frustration here. Please be assured as we have now escalated this issue with our concern team and they will fix your issue on priority. Please allow us some time to work and get this issue fixed for you. We would really appreciate your patience and understanding here.           06:32 PM, 03rd Mar                   Algaili                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           06:34 PM, 03rd Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2184072